# -*- mode: ruby -*-
# vi: set ft=ruby :

required_plugins = %w(vagrant-vbguest)
required_plugins.each do |plugin|
  system "vagrant plugin install #{plugin}" unless Vagrant.has_plugin? plugin
end

Vagrant.configure("2") do |config|

  config.vm.define "jon" do |d|
	d.vm.box = "centos/7"
	d.vm.hostname = "jon"	
    d.vm.network "private_network" , ip: "10.100.199.20"
	d.vm.provision :shell, path: "scripts/passwordAuthentication.sh"
    d.vm.provider "virtualbox" do |v|
      v.memory = 4096
	end
  end
  
  config.vm.define "jon-target-A" do |d|
	d.vm.box = "centos/7"
	d.vm.hostname = "jon-target-A"	
    d.vm.network "private_network" , ip: "10.100.199.30"
	d.vm.provision :shell, path: "scripts/passwordAuthentication.sh"
	d.vm.provision :shell, path: "scripts/provision.sh"
    d.vm.provider "virtualbox" do |v|
      v.memory = 1024
	end
  end
  
  config.vm.define "jon-target-B" do |d|
	d.vm.box = "centos/7"
	d.vm.hostname = "jon-target-B"	
    d.vm.network "private_network" , ip: "10.100.199.40"
	d.vm.provision :shell, path: "scripts/passwordAuthentication.sh"
	d.vm.provision :shell, path: "scripts/provision.sh"
    d.vm.provider "virtualbox" do |v|
      v.memory = 1024
	end
  end

  if Vagrant.has_plugin?("vagrant-vbguest")
    config.vbguest.auto_update = false
    config.vbguest.no_remote = true
  end
end
